package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.bopdecbo.Dbf;
import com.brilliance.isc.vo.bop.ArgmodManagerVo;
import com.brilliance.isc.vo.bop.DbfResultVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface DbfMapper {
    int insert(Dbf record);

    int insertSelective(Dbf record);

    int updateByPrimaryKeySelective(Dbf record);

    int updateByPrimaryKey(Dbf record);

    int deleteByPrimaryKey(Dbf record);

    int deleteByIds(Collection<Object> collection);

    Dbf selectByPrimaryKey(Dbf record);

    Dbf selectByBuscode(@Param("buscode") String buscode);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Dbf> dyncRead(Map<String,Object> dyncMap);

    List<Dbf> selectByArgmodVo(ArgmodManagerVo argmodVo);

    /**
     * 需要导出的数据
     * @param basInrs
     * @return
     */
    List<DbfResultVo> selectByBasInrs(@Param("basInrs") List<String> basInrs);
}
